API Explanation

Request Type

POST

Request URI

/api/v1/pay/weixin/active-pay

Request

ParameterTypeRequiredDescriptionRemark
amountStringYesTransaction Amountcent is the unit, “100” means a dollar
callbackURLStringyesCallback URLSend notifications to this URL when an order is complete (Maximum length 255 English characters)
remarkStringYesRemarkRemark(Maximum length with 128 English characters)

Request Example:

{
  "callbackURL": "https://your.callback.url",
  "amount": "1000",
  "remark": ""
}

Response

ParameterTypeDescriptionRemark
payInfoStringPayment LinkUsed to generate payment QR codes on front-end pages
paymentIdStringPayment ID

Response Example:

{
  "status": "SUCCESS",
  "result": {
    "payInfo": "weixin://wxpay/bizpayurl?pr=iSatxsszz",
    "paymentId": "1677688845950853"
  }
}

Payment Result

After the OTT Pay API server obtains the payment result from the payment channel, it will immediately send the payment result to the specified callbackURL. Of course, the merchant system can also actively query through Payment Status Query API.